Create a brand favicon.
curl --request POST \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets/{asset_uuid}/favicons \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"favicon_url": "<string>",
"favicon_sha256": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"height": 32768,
"last_seen_at": "2023-11-07T05:31:56Z",
"media_type": "<string>",
"metadata": {},
"source_ref": "<string>",
"width": 32768
}
'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets/{asset_uuid}/favicons"
payload = {
"favicon_url": "<string>",
"favicon_sha256": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"height": 32768,
"last_seen_at": "2023-11-07T05:31:56Z",
"media_type": "<string>",
"metadata": {},
"source_ref": "<string>",
"width": 32768
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
favicon_url: '<string>',
favicon_sha256: '<string>',
first_seen_at: '2023-11-07T05:31:56Z',
height: 32768,
last_seen_at: '2023-11-07T05:31:56Z',
media_type: '<string>',
metadata: {},
source_ref: '<string>',
width: 32768
})
};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets/{asset_uuid}/favicons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets/{asset_uuid}/favicons"
payload := strings.NewReader("{\n \"favicon_url\": \"<string>\",\n \"favicon_sha256\": \"<string>\",\n \"first_seen_at\": \"2023-11-07T05:31:56Z\",\n \"height\": 32768,\n \"last_seen_at\": \"2023-11-07T05:31:56Z\",\n \"media_type\": \"<string>\",\n \"metadata\": {},\n \"source_ref\": \"<string>\",\n \"width\": 32768\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"favicon": {
"brand_asset_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"metadata": {},
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_api_key_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"favicon_sha256": "<string>",
"favicon_url": "<string>",
"height": 32768,
"media_type": "<string>",
"source_ref": "<string>",
"width": 32768
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Inventory
Create a brand favicon.
Creates a favicon observation for a brand_name inventory asset. Requires esi.inventory.manage or project manager access.
POST
https://api.infrawatch.com/api/v1
/
projects
/
{project_uuid}
/
esi
/
inventory
/
assets
/
{asset_uuid}
/
favicons
Create a brand favicon.
curl --request POST \
--url https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets/{asset_uuid}/favicons \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"favicon_url": "<string>",
"favicon_sha256": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"height": 32768,
"last_seen_at": "2023-11-07T05:31:56Z",
"media_type": "<string>",
"metadata": {},
"source_ref": "<string>",
"width": 32768
}
'import requests
url = "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets/{asset_uuid}/favicons"
payload = {
"favicon_url": "<string>",
"favicon_sha256": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"height": 32768,
"last_seen_at": "2023-11-07T05:31:56Z",
"media_type": "<string>",
"metadata": {},
"source_ref": "<string>",
"width": 32768
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
favicon_url: '<string>',
favicon_sha256: '<string>',
first_seen_at: '2023-11-07T05:31:56Z',
height: 32768,
last_seen_at: '2023-11-07T05:31:56Z',
media_type: '<string>',
metadata: {},
source_ref: '<string>',
width: 32768
})
};
fetch('https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets/{asset_uuid}/favicons', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.infrawatch.com/api/v1/projects/{project_uuid}/esi/inventory/assets/{asset_uuid}/favicons"
payload := strings.NewReader("{\n \"favicon_url\": \"<string>\",\n \"favicon_sha256\": \"<string>\",\n \"first_seen_at\": \"2023-11-07T05:31:56Z\",\n \"height\": 32768,\n \"last_seen_at\": \"2023-11-07T05:31:56Z\",\n \"media_type\": \"<string>\",\n \"metadata\": {},\n \"source_ref\": \"<string>\",\n \"width\": 32768\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"favicon": {
"brand_asset_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"metadata": {},
"updated_at": "2023-11-07T05:31:56Z",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_api_key_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_membership_uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"favicon_sha256": "<string>",
"favicon_url": "<string>",
"height": 32768,
"media_type": "<string>",
"source_ref": "<string>",
"width": 32768
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field_errors": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"request_id": "<string>"
}
}Authorizations
Infrawatch API key. Supply the complete key directly as the header value.
Body
application/json
- Option 1
- Option 2
HTTP or HTTPS URL without embedded user credentials. The canonical percent-encoded URL must also fit the 2048-character limit.
Maximum string length:
2048Pattern:
^[hH][tT][tT][pP][sS]?://[^/@\s]+([/?#].*)?$Pattern:
^[0-9a-fA-F]{64}$Required range:
1 <= x <= 65535Maximum string length:
255Available options:
manual, auto_discovered, import, api, integration Maximum string length:
512Required range:
1 <= x <= 65535Response
Brand favicon created.
Show child attributes
Show child attributes
⌘I